image: obarun/pkgbuild:latest

variables:
  repo: "$CI_PROJECT_DIR"
  pkg_name: "$CI_PROJECT_NAME"
  ssh_private_key: "$SSH_PRIVATE_KEY"
  ssh_known_host: "$SSH_KNOWN_HOSTS"
  pkg_target: "$CI_COMMIT_REF_NAME"
  # followed variable are ignored but
  # need to be set
  pkg_track: "branch"
  pkg_address: "$CI_PROJECT_URL"
  
stages:
  - build
  - deploy

build_repo:
  stage: build
  script:
    # you can specify the directory where find pkgbuild
    # with e.g builder.sh --chdir=trunk
    # you can ask to install the package after a build
    # e.g builder.sh --install
    - builder.sh --chdir=trunk
  
  artifacts:
    expire_in: 2 days
    paths:
     - "*.pkg.tar.xz"
  
  only:
    changes:
      - trunk/PKGBUILD
   
deploy:
  stage: deploy
  only:
    changes:
      - trunk/PKGBUILD
      
  script:    
    - ./deploy.sh    
